Index: pgadmin/dlg/dlgColumn.cpp
===================================================================
--- pgadmin/dlg/dlgColumn.cpp	(revision 8413)
+++ pgadmin/dlg/dlgColumn.cpp	(working copy)
@@ -491,6 +491,14 @@
                     +  wxT("\n   ALTER COLUMN ") + qtIdent(name)
                     +  wxT("\n   RESET (") + vars.Item(pos).BeforeFirst('=') + wxT(");\n");
             }
+
+            if (cbStorage->GetValue() != column->GetStorage())
+            {
+                sql += wxT("ALTER TABLE ") + table->GetQuotedFullIdentifier()
+                    +  wxT("\n   ALTER COLUMN ") + qtIdent(name)
+                    +  wxT(" SET STORAGE ") + cbStorage->GetValue()
+                    +  wxT(";\n");
+            }
         }
         else
         {
@@ -522,14 +530,6 @@
             }
         }
 
-        if (cbStorage->GetValue() != column->GetStorage())
-        {
-            sql += wxT("ALTER TABLE ") + table->GetQuotedFullIdentifier()
-                +  wxT("\n   ALTER COLUMN ") + qtIdent(name)
-                +  wxT(" SET STORAGE ") + cbStorage->GetValue()
-                +  wxT(";\n");
-        }
-
         AppendComment(sql, wxT("COLUMN ") + table->GetQuotedFullIdentifier() 
                 + wxT(".") + qtIdent(name), column);
 
